/*  Copyright 2005 Fabien Coulon

    This file is part of OpenEuclide

    OpenEuclide is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenEuclide is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Yabause; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef _CALLBACK_H_
#define _CALLBACK_H_

gint _key_press_event( GtkWidget  *widget,
		      GdkEventKey *event,
		      gpointer obj );

gint _configure_event( GtkWidget         *widget,
		       GdkEventConfigure *event,
		       gpointer obj );

gint _expose_event( GtkWidget      *widget,
		    GdkEventExpose *event,
		    gpointer obj );

gint _motion_notify_event( GtkWidget *widget,
			   GdkEventMotion *event,
			   gpointer obj );

gint _button_press_event( GtkWidget      *widget,
			  GdkEventButton *event,
			  gpointer obj );

gint _button_release_event( GtkWidget      *widget,
			    GdkEventButton *event,
			    gpointer obj );

#endif
